<!DOCTYPE html>
<html>
<head>
	<title></title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">


</head>
<body>
<h1 class="text-center">Boostrap Grid System</h1>


<h2 class="text-center">Two Column Layout</h2>
<div class="container-fluid">
	<h3 class="text-center">1:2 Ratio</h3>
	<div class="row text-white text-center">
		<div class="bg-primary p-3 border border-dark col-6">6 Columns</div>
		<div class="bg-danger p-3 border border-dark col-6">6 Columns</div>
	</div>
<div class="row text-center mt-3">
	<div class="bg-info border border-dark col-4 p-3">4 col</div>
	<div class="bg-warning border border-dark col-8 p-3">8 col</div>
	<div class="bg-warning border border-dark col-3 p-3">3 col</div>

	

	</div>
</div>
<h2 class="text-center my-5">Three Column Layout</h2>
<div class="container-fluid bg-secondary">
	<h3 class="text-center">1:1:1 Ratio</h3>
	<div class="row text-center">
		<div class="col-4 bg-info border border-dark p-3"> 4 Col</div>
		<div class="col-4 bg-warning border border-dark p-3"> 4 Col</div>
		<div class="col-4 bg-success border border-dark p-3"> 4 Col</div>
	</div>
<h3 class="text-center my-5">Uneven Column</h3>
<div class="container bg-danger">
	<h3 class="text-center">1:1:1 Ratio</h3>
	<div class="row text-center">
		<div class="col-5 bg-info border border-dark p-3"> 5 Col</div>
		<div class="col-4 bg-warning border border-dark p-3"> 4 Col</div>
		<div class="col-3 bg-success border border-dark p-3"> 3 Col</div>
	</div>
</div>

<h2 class="text-center my-5">Column with Sample Content</h2>
<div class="container-fluid bg-dark">
	<div class="row">
		<div class="col-6 p-3">
			<h3>Sample Content</h3>
			<p class="mt-2 text-white">
				Lorem ajdfkjsahf dasjkfhskjfh sdkfjhsdkjf

			</p>
		</div>
		<div class="col-6 p-3">
			<img src="https://place-puppy.com/1000x1000" class="img-fluid">
			
		</div>
	</div>
</div>
<h3 class= "text-center mx-3"></h3>
<div class="container-fluid bg-warning">
<div class="row">
	<div class="col-5">
		<h3 class="text-center"> This text's column is bigger than the picture</h3>
	</div>
	<div class="col-2">
		<img src="https://placebear.com/500/500" class="img-fluid">
	</div>
	<div class="col-5">
		<p>
			This text's column is bigger than the picture.
		</p>
	</div>
</div>
</div>

<h2 class="my-5 text-center">Auto Columns</h2>
<div class="container-fluid bg-secondary">
	<div class="row text-center">
		<div class="bg-danger border border-dark p-3 col">Auto 1</div>
		<div class="bg-success border border-dark p-3 col">Auto 2</div>
		<div class="bg-danger border border-dark p-3 col">Auto 3</div>
		<div class="bg-danger border border-dark p-3 col">Auto 4</div>
		<div class="bg-danger border border-dark p-3 col">Auto 5</div>
		<div class="bg-danger border border-dark p-3 col">Auto 6</div>
		<div class="bg-danger border border-dark p-3 col">Auto 7</div>
	</div>
</div>
<div class="row">
	<div class="col-6 bg-primary">Col 6</div>
	<div class="col bg-success border border-dark">Auto</div>
	<div class="col bg-success border border-dark">Auto</div>
	<div class="col bg-success border border-dark">Auto1</div>
</div>
	

<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>